Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1195081 - Review Request: kdocker - Dock any application in the system tray
Summary: Review Request: kdocker - Dock any application in the system tray
Keywords:
Status: CLOSED DUPLICATE of bug 1187869
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-22 22:01 UTC by Raphael Groner
Modified: 2015-02-24 17:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 17:30:26 UTC


Attachments (Terms of Use)

Description Raphael Groner 2015-02-22 22:01:52 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/kdocker/kdocker.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/kdocker/kdocker-4.8-1.fc21.src.rpm
Description: Dock any application in the system tray
Fedora Account System Username: raphgro

rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=9030420


This is a re-review. kdocker is retired since F16 but there's a lof of activity at upstream, so I guess the package is still used. Furthermore, it would be nice to have for LXQt.

Comment 1 Rex Dieter 2015-02-24 15:00:29 UTC
Offhand I don't see many MUST blockers, mostly SHOULD/polish type stuff:

1.  SHOULD apply patch instead of using sed statement:
# upstream forgot to bump version
sed -i 's,\(APP_VERSION = "\).*";,\1%{version}";,' src/constants.cpp

that's safer for when/if future versions land to tell if this is still needed or not

2.  in %build, SHOULD use %{qmake_qt4} macro (instead of %{_qt4_qmake}), as this one sets build flags, etc... instead of just calling plain 'qmake'
this macro is relatively new, and only available in fedora (not epel yet).  If you want to keep things merged with epel too, you could use a construct like:
%{?qmake_qt4:%{qmake_qt4}}%{!?qmake_qt4:%{_qt4_qmake}}
(ie, use %qmake_qt4 if defined, else use %_qt4_qmake)

3. MUST not own /etc/bash_completion.d/
As a matter of fact, best practice is to install bash_completion items in what is pointed at by output of:
pkg-config --variable=completionsdir bash-completion
/usr/share/bash-completion/completions
will want to add
BuildRequires: bash-completion
to ensure that pkg-config call works properly during the build.

4. MUST use system-copy of qtsingleapplication, not bundled copy under solutions/qtsingleapplication

5. SHOULD (only mild suggestion) put app icon under /usr/share/icons/hicolor/128x128/apps/
instead of legacy/deprecated
/usr/share/pixmaps
(and add relevant icon scriptlets)

Comment 2 Raphael Groner 2015-02-24 17:30:26 UTC
Already filed another request. Sorry for the duplication. Dunno why that happened.

*** This bug has been marked as a duplicate of bug 1187869 ***


Note You need to log in before you can comment on or make changes to this bug.